import jsdoc from 'eslint-plugin-jsdoc'

export default [
  {
    name: 'jsdoc',
    files: ['**/*.js', '**/*.cjs', '**/*.mjs', '**/*.vue'],
    plugins: {
      jsdoc
    },
    rules: {
      'jsdoc/check-alignment': 'error',
      'jsdoc/check-param-names': ['error', { disableExtraPropertyReporting: true }],
      'jsdoc/check-property-names': 'error',
      'no-unused-expressions': 0
    }
  }
]

